Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.placeholder.model
Enum QueryDefinitionModel.Priority

    java.lang.Object
      java.lang.Enum<QueryDefinitionModel.Priority>
          com.bea.p13n.placeholder.model.QueryDefinitionModel.Priority

All Implemented Interfaces
  Serializable, Comparable<QueryDefinitionModel.Priority>

Enclosing class:
  QueryDefinitionModel

    public static enum QueryDefinitionModel.Priority

extends Enum<QueryDefinitionModel.Priority>

The possible queryPriority's.

Enum Constant Summary
`HIGH`
`HIGHEST`
`LOW`
`LOWEST`
`NORMAL`

Method Summary
`String` | `toDisplayString()` Get display text for this priority, localized to the java vm's default locale.
`static QueryDefinitionModel.Priority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryDefinitionModel.Priority[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGHEST

    public static final QueryDefinitionModel.Priority HIGHEST

### HIGH

    public static final QueryDefinitionModel.Priority HIGH

### NORMAL

    public static final QueryDefinitionModel.Priority NORMAL

### LOW

    public static final QueryDefinitionModel.Priority LOW

### LOWEST

    public static final QueryDefinitionModel.Priority LOWEST

Method Detail

### values

    public static final QueryDefinitionModel.Priority[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static QueryDefinitionModel.Priority valueOf(String name)

  Returns the enum constant of this type with the specified name.

### toDisplayString

    public String toDisplayString()

  Get display text for this priority, localized to the java vm's default locale.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.